using System;
using UnityEngine;

namespace VOID.Generic.Projectile
{
    [DefaultExecutionOrder(1)]
    public class ProjectileAoe : MonoBehaviour
    {
        public event Action<Collider> OnAoeEnter;
        public event Action<Collider> OnAoeExit;

        private void OnTriggerEnter(Collider other) => OnAoeEnter?.Invoke(other);
        private void OnTriggerExit(Collider other) => OnAoeExit?.Invoke(other);
    }
}